PKG-CREATE(1)

NAME
pkg create - a utility for creating software package distributions

SYNOPSIS
pkg create [-gxXn] [-r rootdir] [-m manifest] [-f format] [-o outdir] pkg-name ...
pkg create -an [-r rootdir] [-m manifest] [-f format] [-o outdir]

DESCRIPTION
pkg create is used to create packages from binaries installed on your computer. Packages thus created can be distributed and subsequently installed on other machines using the pkg add command.

OPTIONS
The following options are supported by pkg create:

-a  Create packages for all binaries installed on your system. You can't use this option along with the -g, -x or -X option.

-g  Interpret pkg-name as a shell glob pattern and create package only for installed binaries whose name match this pattern.

-x  Like -g, but interpret pkg-name as a regular expression.

-X  Like -g, but interpret pkg-name as an extended regular expression.

-r rootdir
    Specify root directory for the package

-m manifest
    Specify manifest directory

-f format
    Set format as the package output format. It can be one of txz, tbz, tgz or tar which are currently the only supported format. If an invalid or no format is specified txz is assumed.

-o outdir
    Set outdir as the output directory. If this option is not given, all created packages will be saved in the current directory.

-n  Do not overwrite already existing packages

MANIFEST FILE DETAILS

name pkg-name
    This entry sets the package's name to pkg-name. Among other things, this name is used - with the version and the origin of the concerned package - to identify a dependency.

version pkg-version
    This entry sets the package's version to pkg-version.

origin pkg-origin
    This entry sets the package's origin to pkg-origin. This is a string of the form category/port-dir which designate the port this package was built from.

comment comment-string
    comment-string is a one-line description of this package. It is the equivalent of the COMMENT variable for a port, not a way to put comments in a +MANIFEST file.

arch cpu-type
    The architecture of the machine the package was built on. cpu-type takes values like x86, amd64...

osversion os-version
    Version of the OS used to build the package.

www url
    The software's official website.

maintainer mail-address
    The maintainer's mail address.

prefix path-prefix
    The path where the files contained in this package are installed (usually /usr/local).

flatsize size
    The size that the files contained in this package will occupy on your system once uncompressed. This value does not take into account files stored in the package database.

dep dep-name dep-origin dep-version
    Declare a dependency on the package which name, origin and version match dep-name, dep-origin and dep-version respectively.

conflict pkg-glob
    Flag this package as incompatible with the one designated by pkg-glob. Conflicting packages cannot be installed on the same system as they may contain references to the sames files.

option option-name option-value
    Set the option option-name to the value option-value.

file sha256-hash path
    file entries list files included in the package. If the file is a regular one, such an entry contains its sha256 digest along with its path. If a packaged file is a link, you must use this entry's other form, as described below.

file - path
    Same as above but for file links. The sha256 hash is replaced with a - (dash).

dir path
    Mimics the file entry but for directories.

ENVIRONMENT
The following environment variables affect the execution of pkg create. See pkg.conf(5) for further description.

PKG_DBDIR

PLIST_KEYWORDS_DIR

PORTSDIR

FILES
See pkg.conf(5).

SEE ALSO
pkg(1), pkg-add(1), pkg-autoremove(1), pkg-search(1), pkg-backup(1), pkg-install(1), pkg-delete(1), pkg-info(1), pkg-register(1), pkg-repo(1), pkg-update(1), pkg-upgrade(1), pkg-version(1), pkg-which(1), pkg.conf(5)